
Foreman - Tracker #17954

Unify roles and permissions across plugins

01/06/2017 04:15 AM - Ondřej Pražák

Status: Closed % Done: 0%

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1304608 Red Hat JIRA:  

Description

Each plugin handles permissions and roles differently: some create just permissions and no roles, some create plugin-specific roles.

This tracker should monitor the progress of making roles uniform across all plugins.

Expected outcome:

- each plugin has plugin-specific Viewer and Manager roles (see openscap or rex). Additional plugin-specific roles are certainly

possible if plugin needs them.

- plugin permissions are added to Manager and Viewer roles provided by core.

Related issues:

Related to Discovery - Bug #19944: Upgrade fails due to missing override colu... Closed 06/06/2017

Blocked by Foreman Remote Execution - Bug #17953: Add remote execution permis... Closed 01/06/2017

Blocked by OpenSCAP - Bug #17952: Add foreman_openscap permissions to Viewer ... Closed 01/06/2017

Blocked by Ansible - Bug #17957: Add foreman_ansible permissions to Viewer an... Closed 01/06/2017

Blocked by Discovery - Bug #17959: Add foreman_discovery permissions to Manag... Closed 01/06/2017

Blocked by Docker - Bug #17960: Add foreman_docker permissions to Manager and... Closed 01/06/2017

Blocked by foreman-tasks - Bug #17961: Add foreman-tasks permissions to Manag... Closed 01/06/2017

Blocked by Katello - Bug #17962: Add Katello's permissions to Manager and and... Closed 01/06/2017

Blocked by Boot disk - Bug #17963: Add foreman_bootdisk permissions to Manage... Closed 01/06/2017

Blocked by Foreman - Feature #18001: Allow plugins to easily add their permis... Closed 01/10/2017

Blocked by Foreman - Feature #19039: Lock plugin roles Closed 03/27/2017

History

#1 - 01/06/2017 04:15 AM - Ondřej Pražák

- Blocked by Bug #17953: Add remote execution permissions to Viewer and Manager roles added

#2 - 01/06/2017 04:16 AM - Ondřej Pražák

- Blocks Bug #17952: Add foreman_openscap permissions to Viewer and Manager roles added

#3 - 01/06/2017 04:16 AM - Ondřej Pražák

- Blocks deleted (Bug #17952: Add foreman_openscap permissions to Viewer and Manager roles)

#4 - 01/06/2017 04:16 AM - Ondřej Pražák

- Blocked by Bug #17952: Add foreman_openscap permissions to Viewer and Manager roles added

#5 - 01/06/2017 04:23 AM - Ondřej Pražák

- Bugzilla link set to 1304608

#6 - 01/06/2017 04:35 AM - Ondřej Pražák

- Blocked by Bug #17957: Add foreman_ansible permissions to Viewer and Manager roles added

#7 - 01/06/2017 04:49 AM - Ondřej Pražák
- Blocked by Bug #17959: Add foreman_discovery permissions to Manager and Viewer roles added

#8 - 01/06/2017 04:53 AM - Ondřej Pražák

- Blocks Bug #17960: Add foreman_docker permissions to Manager and View roles added

#9 - 01/06/2017 04:53 AM - Ondřej Pražák

- Blocks deleted (Bug #17960: Add foreman_docker permissions to Manager and View roles)

#10 - 01/06/2017 04:53 AM - Ondřej Pražák

- Blocked by Bug #17960: Add foreman_docker permissions to Manager and View roles added

#11 - 01/06/2017 05:42 AM - Ondřej Pražák

- Blocked by Bug #17961: Add foreman-tasks permissions to Manager and Viewer roles added

#12 - 01/06/2017 05:51 AM - Ondřej Pražák

- Blocks Bug #17962: Add Katello's permissions to Manager and and Viewer roles added

#13 - 01/06/2017 05:51 AM - Ondřej Pražák

- Blocks deleted (Bug #17962: Add Katello's permissions to Manager and and Viewer roles)

#14 - 01/06/2017 05:51 AM - Ondřej Pražák

- Blocked by Bug #17962: Add Katello's permissions to Manager and and Viewer roles added

#15 - 01/06/2017 06:00 AM - Ondřej Pražák

- Blocked by Bug #17963: Add foreman_bootdisk permissions to Manager role added

#16 - 01/09/2017 11:44 AM - Marek Hulán

Ondřej, could we also prevent this happening in future? What if every permission defined by plugin would be automatically assigned to Manager role

and if it matches view_.+ it would be also associated to Viewer? Plugins would only defined plugin_manager and plugin_viewer role. Any other

suggestions are welcome.

#17 - 01/10/2017 06:09 AM - Ondřej Pražák

- Blocked by Feature #18001: Allow plugins to easily add their permissions to core's Viewer and Manager added

#18 - 01/10/2017 06:24 AM - Ondřej Pražák

I do not think we can do this completely automatically and there may be cases when we do not want to. But I think #18001 is a reasonable solution.

#19 - 01/10/2017 08:33 AM - Marek Hulán

- Assignee set to Ondřej Pražák

- Target version set to 1.11.2

#20 - 02/09/2017 08:15 AM - Marek Hulán

- Target version changed from 1.11.2 to 1.11.4

#21 - 02/21/2017 10:21 AM - Marek Hulán

- Target version changed from 1.11.4 to 1.12.1

#22 - 03/14/2017 08:32 AM - Marek Hulán

- Target version changed from 1.12.1 to 1.12.3

#23 - 03/27/2017 10:58 AM - Ondřej Pražák

- Blocked by Feature #19039: Lock plugin roles added

#24 - 04/04/2017 04:48 AM - Marek Hulán

- Target version changed from 1.12.3 to 1.13.0

#25 - 05/11/2017 08:24 AM - Marek Hulán
- Target version changed from 1.13.0 to 1.13.2

#26 - 05/16/2017 02:42 AM - Marek Hulán

- Target version changed from 1.13.2 to 1.13.4

#27 - 06/07/2017 04:49 AM - Lukas Zapletal

In Discovery we are planning to lock and reset default discovery plugin roles in a seed script, this is likely a precedent. See discussion at 

https://github.com/theforeman/foreman_discovery/pull/352

I think the plugin API should do this automatically when roles are being registered (they should be locked).

#28 - 06/07/2017 04:50 AM - Lukas Zapletal

- Related to Bug #19944: Upgrade fails due to missing override column in filter added

#29 - 06/12/2017 06:53 AM - Marek Hulán

Lukas Zapletal wrote:

In Discovery we are planning to lock and reset default discovery plugin roles in a seed script, this is likely a precedent. See discussion at 

https://github.com/theforeman/foreman_discovery/pull/352

I think the plugin API should do this automatically when roles are being registered (they should be locked).

 I believe it's tracked by http://projects.theforeman.org/issues/19039, which is ready for testing

#30 - 06/16/2017 05:48 AM - Marek Hulán

- Target version changed from 1.13.4 to 1.14.0

#31 - 07/03/2017 02:57 AM - Marek Hulán

- Target version changed from 1.14.0 to 1.14.3

#32 - 07/20/2017 10:22 AM - Marek Hulán

- Target version changed from 1.14.3 to 1.17.0-RC2

#33 - 08/08/2017 08:36 AM - Marek Hulán

- Target version changed from 1.17.0-RC2 to 1.18.0-RC2

#34 - 08/29/2017 05:57 AM - Marek Hulán

- Target version changed from 1.18.0-RC2 to 214

#35 - 08/31/2017 02:18 AM - Marek Hulán

- Status changed from New to Closed

It seems like all related issues have been closed, closing this one.
